Bug 1337434 - Review Request: flatpak - Application deployment framework for desktop apps
Summary: Review Request: flatpak - Application deployment framework for desktop apps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-19 08:25 UTC by David King
Modified: 2016-05-28 23:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-28 03:31:39 UTC
Type: ---
Embargoed:
mclasen: fedora-review+


Attachments (Terms of Use)

Description David King 2016-05-19 08:25:39 UTC
Spec URL: https://amigadave.fedorapeople.org/flatpak.spec
SRPM URL: https://amigadave.fedorapeople.org/flatpak-0.6.0-1.fc25.src.rpm
Description: flatpak is a system for building, distributing and running sandboxed desktop applications on Linux. See https://wiki.gnome.org/Projects/SandboxedApps for more information.
Fedora Account System Username: amigadave

This is a rename (and re-review request as per the package rename policy) of the xdg-app package (which I an the POC for).

Comment 1 David King 2016-05-19 08:36:43 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14165505

Comment 2 Neal Gompa 2016-05-19 20:11:35 UTC
You're missing an extra Provides, as you need to provide both one with %_isa and one without.

Provides:       xdg-app-devel = %{version}-%{release}

Provides:       xdg-app = %{version}-%{release}

Comment 3 David King 2016-05-20 08:47:17 UTC
I think that I have the Provides correct now, quoting from <https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages>:

* flatpak provides only xdg-app (no isa) because it's just some standalone programs ("Even though these programs may themselves be arch-specific, clients that run them should not care about their arch in most cases.")
* flatpak-builder provides only xdg-app-builder, by the same reasoning as flatpak
* the -libs and -devel packages provide only xdg-app-libs%{?_isa} and xdg-app-libs-devel%{_isa} ("Examples of packages that should explicitly provide only arch-specific Provides: include native code libraries or plug-ins and their associated -devel packages.")

Does that seem right?

Comment 4 Neal Gompa 2016-05-21 21:48:56 UTC
The only problem is that "xdg-app-devel" != "xdg-app-devel(x86-64)". Because of that, someone who requires xdg-app-devel will not get the flatpak-devel package.

Comment 5 David King 2016-05-21 23:12:30 UTC
It doesn't seem like this is a problem in practice, as "dnf repoquery --alldeps --whatrequires xdg-app-devel" gives no results (on rawhide). As far as I am aware, only gnome-software has a BuildRequires for xdg-app-devel, and that will be switched to flatpak as soon as the package is available in Fedora (and should probably be switched to a pkgconfig dependency anyway).

If there is a general problem with the policy, then that probably needs to be brought up with the FPC.

Comment 6 David King 2016-05-23 09:59:02 UTC
Spec URL: https://amigadave.fedorapeople.org/flatpak.spec
SRPM URL: https://amigadave.fedorapeople.org/flatpak-0.6.1-1.fc25.src.rpm

Updated SRPM URL for the new 0.6.1 release.

Comment 7 Matthias Clasen 2016-05-24 14:30:51 UTC
Neal, can we wrap the review up ? We're waiting for the fedora packages to officially announce the new name and website, so it would be nice to have this resolved quickly.

Comment 8 Matthias Clasen 2016-05-25 16:21:18 UTC
Taking this then

Comment 9 Matthias Clasen 2016-05-25 16:22:13 UTC
rpmlint output:

$ rpmlint flatpak-0.6.0-1.fc25.src.rpm 
flatpak.src: W: spelling-error %description -l en_US sandboxed -> sandboxes, sand boxed, sand-boxed
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 10 Matthias Clasen 2016-05-25 16:38:43 UTC
And here is the rpmlint output for the binary rpms:

$ rpmlint flatpak-*x86_64.rpm
flatpak.x86_64: W: spelling-error %description -l en_US sandboxed -> sandboxes, sand boxed, sand-boxed
flatpak.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.Flatpak.SystemHelper.conf
flatpak.x86_64: W: non-conffile-in-etc /etc/profile.d/flatpak.sh
flatpak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/flatpak-0.6.0/libglnx/glnx-libcontainer.c
flatpak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/flatpak-0.6.0/libglnx/glnx-console.h
flatpak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/flatpak-0.6.0/libglnx/glnx-console.c
flatpak-devel.x86_64: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
flatpak-devel.x86_64: W: obsolete-not-provided xdg-app-devel
flatpak-devel.x86_64: W: only-non-binary-in-usr-lib
flatpak-libs.x86_64: W: spelling-error %description -l en_US libflatpak -> inflatable
flatpak-libs.x86_64: E: missing-call-to-chdir-with-chroot /usr/lib64/flatpak/bwrap
flatpak-libs.x86_64: E: missing-call-to-chdir-with-chroot /usr/lib64/libflatpak.so.0.600.0
flatpak-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 5 errors, 8 warnings.

The incorrect fsf addresses should probably be reported back to libglnx upstream, but I don't think that blocks the review. The missing-call-to-chdir-with-chroot warning is just wrong. The code calls chdir right before and after chroot.

Comment 11 Matthias Clasen 2016-05-25 17:14:44 UTC
checklist:

package naming: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec language: ok
spec legibility: excellent
upstream sources: the latest tarball found at the source url is 0.6.0. need to clarify with Alex if tarball will continue to be on freedesktop.org or just on github
buildable: ok
excludearch: not needed
buildrequires: ok
locale handling: not needed
ldconfig: ok
system libraries: ok
relocatable: no
directory ownership: should own /usr/share/gdm/env.d or require gdm. Owning the directory is probably preferable in this case
duplicate files: ok 
permissions: ok
macro use: ok
permissible content: ok
large docs: not applicable
%doc content: ok
static libraries: none
development files: ok
devel package deps: ok
libtool archives: ok
desktop file: not applicable
file ownership: ok
utf8 filenames: ok

In summary: fix up directory ownership

Comment 12 David King 2016-05-25 17:52:34 UTC
Spec URL: https://amigadave.fedorapeople.org/flatpak.spec
SRPM URL: https://amigadave.fedorapeople.org/flatpak-0.6.2-1.fc25.src.rpm

Updated SRPM URL for the new 0.6.2 release, and incorporating the env.d directory ownership fix. I took the tarball from github, but as you say, it would be good to know the canonical location for tarball releases.

Comment 13 Matthias Clasen 2016-05-25 17:55:04 UTC
thanks, looks good now

Comment 14 Alexander Larsson 2016-05-26 07:54:59 UTC
The canonical release is now on github, as everything else but the mailing list is there.

Comment 15 Gwyn Ciesla 2016-05-26 14:10:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/flatpak

Comment 16 Fedora Update System 2016-05-26 15:28:48 UTC
flatpak-0.6.2-1.fc24 gnome-software-3.20.2-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a483bb84c

Comment 17 Fedora Update System 2016-05-26 18:43:47 UTC
flatpak-0.6.2-1.fc23 ostree-2016.5-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9167af92a

Comment 18 Fedora Update System 2016-05-26 23:28:02 UTC
flatpak-0.6.2-1.fc24, gnome-software-3.20.2-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a483bb84c

Comment 19 Matthias Runge 2016-05-27 05:52:32 UTC
Note:

Obsoleting Packages
flatpak-libs.i686                                                                                       0.6.2-1.fc24                                                                                updates-testing
    xdg-app-libs.x86_64                                                                                 0.5.2-1.fc24                                                                                @fedora        
flatpak-libs.x86_64                                                                                     0.6.2-1.fc24                                                                                updates-testing
    xdg-app-libs.x86_64                                                                                 0.5.2-1.fc24                                                                                @fedora        

Obsoletes should be covering that.

Comment 20 Matthias Runge 2016-05-27 07:35:46 UTC
In fact, I got only the 64 bit version installed, unlike dnf mentioned getting both.

Comment 21 Fedora Update System 2016-05-28 03:26:03 UTC
flatpak-0.6.2-1.fc23, ostree-2016.5-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9167af92a

Comment 22 Fedora Update System 2016-05-28 03:31:36 UTC
flatpak-0.6.2-1.fc24, gnome-software-3.20.2-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-05-28 23:54:22 UTC
flatpak-0.6.2-1.fc23, ostree-2016.5-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.